## libxenops-ocaml 0.9.6

=== Makefile ===
.PHONY: all clean install build
all: build doc

NAME=xenops
J=4

export OCAMLRUNPARAM=b

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure --enable-tests

build: setup.data setup.bin
	@./setup.bin -build -j $(J)

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

install: setup.bin
	install -m 755 list_domains.native ${BINDIR}/list_domains
	@./setup.bin -install

uninstall:
	@ocamlfind remove $(NAME) || true

test: setup.bin build
	@./setup.bin -test

reinstall: setup.bin
	@ocamlfind remove $(NAME) || true
	@./setup.bin -reinstall

clean:
	@ocamlbuild -clean
	@rm -f setup.data setup.log setup.bin

=== debian/changelog ===
libxenops-ocaml (0.9.6-1) UNRELEASED; urgency=low

  * Update to 0.9.6

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Fri, 06 Jun 2014 12:00:00 +0000

libxenops-ocaml (0.9.4-2) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Mon, 02 Jun 2014 12:00:00 +0000

libxenops-ocaml (0.9.4-1) UNRELEASED; urgency=low

  * Update to 0.9.4, add list_domains binary

 -- David Scott <dave.scott@citrix.com>  Thu, 08 May 2014 12:00:00 +0000

libxenops-ocaml (0.9.2-1) UNRELEASED; urgency=low

  * Update to 0.9.2

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 25 Sep 2013 12:00:00 +0000

=== debian/control ===
Source: libxenops-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 ocaml-xen-api-libs-transitional-dev,
 libxcp-idl-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 qemu-system-x86,
 camlp4,
 python,
 debhelper (>= 8),
 ocaml-obuild,
 libxenstore-ocaml-dev,
 camlp4-extra,
 libxenstore-clients-ocaml-dev,
 ocaml-native-compilers,
 ocaml-xen-lowlevel-libs-dev,
 blktap-dev,
 ocaml-findlib,
 blktap-utils,
 libxen-dev

Package: libxenops-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Low-level xen control operations OCaml
 Low-level xen control operations in OCaml.

Package: libxenops-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libxenops-ocaml (>= 0.9.6-1),
 libxcp-idl-ocaml-dev,
 libstdext-ocaml-dev,
 ocaml-xen-lowlevel-libs-dev,
 libxenstore-ocaml-dev,
 libxenstore-clients-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-xenops
 The ocaml-xenops-devel package contains libraries and signature files
 for developing applications that use ocaml-xenops.

Package: ocaml-xenops-tools
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libxen-4.4
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Debugging tools for ocaml-xenops
 A set of debugging tools which showcase the features of ocaml-xenops-
 devel.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libxenops-ocaml/usr/lib/ocaml/xenops/*.a
	rm -f debian/libxenops-ocaml/usr/lib/ocaml/xenops/*.cmxa
	rm -f debian/libxenops-ocaml/usr/lib/ocaml/xenops/*.cmx

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
